public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-java/browserlauncher2/
Date: Tue, 13 Sep 2022 09:44:02 +0000 (UTC)	[thread overview]
Message-ID: <1663062220.0dfcc0aea5249296731cb6a3de428e16d3585cf2.flow@gentoo> (raw)

commit:     0dfcc0aea5249296731cb6a3de428e16d3585cf2
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Sun Aug 21 07:23:59 2022 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Tue Sep 13 09:43:40 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0dfcc0ae

dev-java/browserlauncher2: better handling of JAVA_ENCODING

* update EAPI 7 -> 8
* switch to java-pkg-simple
* set JAVA_ENCODING="ISO-8859-1" instead of using iconv

Bug: https://bugs.gentoo.org/835488

Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Closes: https://github.com/gentoo/gentoo/pull/26945
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 .../browserlauncher2-1.3-r3.ebuild                 | 33 ++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/dev-java/browserlauncher2/browserlauncher2-1.3-r3.ebuild b/dev-java/browserlauncher2/browserlauncher2-1.3-r3.ebuild
new file mode 100644
index 000000000000..a20e47279bc6
--- /dev/null
+++ b/dev-java/browserlauncher2/browserlauncher2-1.3-r3.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="A library that facilitates opening a browser from a Java application"
+HOMEPAGE="http://browserlaunch2.sourceforge.net/"
+SRC_URI="https://downloads.sourceforge.net/project/browserlaunch2/browserlauncher2/${PV}/BrowserLauncher2-all-${PV//./_}.jar"
+
+LICENSE="LGPL-2.1"
+SLOT="1.0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+
+DEPEND=">=virtual/jdk-1.8:*"
+RDEPEND=">=virtual/jre-1.8:*"
+BDEPEND="app-arch/unzip"
+
+JAVA_SRC_DIR="source"
+JAVA_RESOURCE_DIRS="resources"
+JAVA_MAIN_CLASS="edu.stanford.ejalbert.testing.BrowserLauncherTestApp"
+JAVA_ENCODING="ISO-8859-1"
+
+src_prepare() {
+	default
+	java-pkg_clean
+
+	cp -r source resources || die "Cannot create resources dir"
+	find resources -type f ! -name '*.properties' -exec rm -rf {} + || die
+}


             reply	other threads:[~2022-09-13  9:44 UTC|newest]

Thread overview: 10+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-09-13  9:44 Florian Schmaus [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-10-14  7:23 [gentoo-commits] repo/gentoo:master commit in: dev-java/browserlauncher2/ Arthur Zamarin
2022-10-14  7:23 Arthur Zamarin
2022-10-13 21:20 Sam James
2022-10-13 21:20 Sam James
2022-10-13 19:38 Arthur Zamarin
2021-04-23  9:41 Miroslav Šulc
2021-04-23  9:41 Miroslav Šulc
2021-04-23  9:41 Miroslav Šulc
2015-08-13 22:56 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1663062220.0dfcc0aea5249296731cb6a3de428e16d3585cf2.flow@gentoo \
    --to=flow@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox